Subject: bug#21867: 25.0.50; lossage's log doesn't treat characters read by read-char as separate commands

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 21:25:49 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 01 Aug 2019 20:58:50 +0200
>> 
>> >> What `read-char' comes under "input keystrokes", I guess?
>> >
>> > Yes.
>> 
>> Right, but view-lossage currently says
>> 
>>  C-x C-e ;; eval-last-sexp
>>  a C-h l ;; view-lossage
>> 
>> which is a very curious way of displaying this.  It makes it look like
>> "a C-h l" is a key stroke.
>
> A newline should be enough to fix that, I think.

Yes, that'd be OK, I think, but it means that we have to
put...  something...  into the recent_keys variable to mark the "a" as
having been read by `read-string'.  I suggested (nil . "some-string"),
but perhaps just (nil) would be OK?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no